Last Comment Bug 767698 - Consider renaming "Slider"
: Consider renaming "Slider"
Status: VERIFIED FIXED
[testday-20120622][bugday-20131023][p...
: ux-consistency
Product: Firefox
Classification: Client Software
Component: PDF Viewer (show other bugs)
: 15 Branch
: All All
: -- minor (vote)
: Firefox 21
Assigned To: Srishti
:
: Brendan Dahl [:bdahl]
Mentors:
https://github.com/mozilla/pdf.js/blo...
Depends on: 835954
Blocks:
  Show dependency treegraph
 
Reported: 2012-06-23 05:53 PDT by [:Aleksej]
Modified: 2013-10-22 12:01 PDT (History)
4 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---
affected
verified
verified


Attachments

Description [:Aleksej] 2012-06-23 05:53:57 PDT
“Slider” in PDF.js is a sidebar which can show either thumbnails, or table of contents.

“Slider” in GUIs is usually either a widget similar to a player’s volume slider (that too), or (from a bmo search) the thing you drag along a scrollbar.

The word has also been used for a notification which pops up from below, near an angle of the screen.

There are also “content sliders”, which are a way to view images in a gallery one-by-one.  They were used on AMO.

Tab-switching UI of Firefox Mobile has been called a slider.


Maybe PDF.js’ sidebar was named after the latter meanings, and/or to distinguish it from Firefox’s own sidebar which is still available.  The gallery meanings work well only for the thumbnail mode though.


The name is unclear to me and to others, at least non-native English speakers.  Some current translations in https://github.com/mozilla/pdf.js/blob/master/l10n/ :

More or less direct translations, but I don’t know if they’re right:
cs/viewer.properties:toggle_slider.title=Přepnout posuvník
- “posuvník” can mean “scroll bar”.
pl/viewer.properties:toggle_slider.title=Włącz/wyłącz suwak
- “suwak” is a zipper, but “suwak logarytmiczny” is a slide rule.
sr/viewer.properties:toggle_slider.title=Клизач
- According to English Wiktionary, “Клизач” means at least “skater (on ice)”; from pictures, it can also mean a volume-slider-like widget, and possibly a scroll-bar, a zipper, and a certain kind of a cellphone.

“Sidebar”, “bar”, “panel” or similar:
fr/viewer.properties:toggle_slider.title=Afficher/Masquer la barre latérale
it/viewer.properties:toggle_slider.title=Visualizza Riquadro Laterale
pt-BR/viewer.properties:toggle_slider.title=Abrir/fechar aba lateral
ru/viewer.properties:toggle_slider.title=Открыть/закрыть вспомогательную панель
sv/viewer.properties:toggle_slider.title=Visa/Dölj panel

Other:
de/viewer.properties:toggle_slider.title=Thumbnails ein-/ausblenden
Comment 1 Srishti 2013-01-23 06:17:23 PST
Hi I want to work on this bug , how do I get it assigned to myself?
Comment 2 Ryan VanderMeulen [:RyanVM] 2013-02-06 06:42:34 PST
https://hg.mozilla.org/mozilla-central/rev/af8e5720ccf2
Comment 3 Mihaela Velimiroviciu (:mihaelav) 2013-03-01 04:43:00 PST
Mozilla/5.0 (X11; Linux x86_64; rv:21.0) Gecko/20130228 Firefox/21.0, Build ID: 20130228042012
Mozilla/5.0 (X11; Linux x86_64; rv:22.0) Gecko/20130228 Firefox/22.0, Build ID: 20130228165151

Mozilla/5.0 (Windows NT 6.1; WOW64; rv:21.0) Gecko/20130228 Firefox/21.0, BuildID: 20130228042012
Mozilla/5.0 (Windows NT 6.1; WOW64; rv:22.0) Gecko/20130228 Firefox/22.0, BuildID: 20130228165151

Mozilla/5.0 (Macintosh; Intel Mac OS X 10.8; rv:22.0) Gecko/20130228 Firefox/22.0, BuildID: 20130228165151
Mozilla/5.0 (Macintosh; Intel Mac OS X 10.8; rv:21.0) Gecko/20130228 Firefox/21.0, BuildID: 20130228042012

Verified the fix on latest Nightly and Aurora builds: "Slider" was replaced with "Sidebar".
Will this be fixed on Beta (20.0), as well?
Comment 4 [:Aleksej] 2013-10-22 12:01:29 PDT
Verified by Mihaela above; verified also with 2013-10-22-03-02-02-mozilla-central-firefox-27.0a1.en-US.linux-x86_64

Note You need to log in before you can comment on or make changes to this bug.